CFPRIME LOADFL                                                          LOADFL      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE LOADFL(FILENA,LENPAR,LDUMP,NCAS,KDEB,LFEPRI            LOADFL      3
     *,KLAYER,LEBK)                                                     LOADFL      4
CD                                                                      LOADFL      5
CD    THIS SUBROUTINE IS THE MAIN DRIVER FOR READING THE LOAD FLOW DATA LOADFL      6
CD    FILES GENERATED BY DIFFERENT LOAD FLOW PROGRAMS. ACCEPTABLE       LOADFL      7
CD    FORMATS ARE PTI, PSF, EPRI, PECO, BPA, AND IEEE.                  LOADFL      8
CD                                                                      LOADFL      9
      INCLUDE 'PARX.INS'                                                LOADFL     10
      INCLUDE 'CNLSTA.INS'                                              LOADFL     11
      INCLUDE 'CNB0.INS'                                                LOADFL     12
      INCLUDE 'CNB4.INS'                                                LOADFL     13
      INCLUDE 'CNB19.INS'                                               LOADFL     14
      INCLUDE 'CNMNEW.INS'                                              LOADFL     15
      INCLUDE 'CNNNEW.INS'                                              LOADFL     16
      INCLUDE 'CNIPTR.INS'                                              LOADFL     17
      INCLUDE 'CNLUN.INS'                                               LOADFL     18
      INCLUDE 'CNUNIT.INS'                                              LOADFL     19
      INCLUDE 'CNFLAG.INS'                                              LOADFL     20
      INCLUDE 'CNMSG.INS'                                               LOADFL     21
      INCLUDE 'CNGSRC.INS'                                              LOADFL     22
      INCLUDE 'CNPARX.INS'                                              LOADFL     23
      INCLUDE 'CNREC1.INS'                                              LOADFL     24
      INCLUDE 'CNTGED.INS'                                              LOADFL     25
C                                                                       LOADFL     26
      CHARACTER*7 SUBPMT                                                LOADFL     27
      CHARACTER*50 LFILE,FILENA                                         LOADFL     28
      CHARACTER*80 IMSG,EMSG,STRING                                     LOADFL     29
C                                                                       LOADFL     30
      CHARACTER*6 CHNUMB(18)                                            LOADFL     31
      CHARACTER*13 CHFRMT(18)                                           LOADFL     32
      INTEGER ILFRMT(18)                                                LOADFL     33
C                                                                       LOADFL     34
      DATA CHFRMT/' PTI   (TEXT)',' ETMSP (TEXT)','IEEE   (TEXT)'       LOADFL     35
     &,'IEEE   (TEXT)','EPRI/OLD(BIN)','WSCC (BIN)   ',' BPA (BIN)   '  LOADFL     36
     &,' PSF (BIN)   ',' PSF (BIN)   ','PECO(V6)DA   ','PECO(V6)DA   '  LOADFL     37
     *,'PECO(V6)SE   ','PECO(V6)SE   ','PECO(V5)DA   ','PECO(V5)DA   '  LOADFL     38
     *,'PECO(V5)SE   ','PECO(V5)SE   ','PTI-V16(TEXT)'/                 LOADFL     39
      DATA ILFRMT/0,2,3,4,5,7,8,9,10,11,12,13,14,15,16,17,18,19/        LOADFL     40
      DATA CHNUMB/'NUMBER','NUMBER','NUMBER','  NAME','  NAME',         LOADFL     41
     &'  NAME','  NAME','NUMBER','  NAME','NUMBER','  NAME'             LOADFL     42
     *,'NUMBER','  NAME','NUMBER','  NAME','NUMBER','  NAME','NUMBER'/  LOADFL     43
C                                                                       LOADFL     44
C                                                                       LOADFL     45
      DATA LFORM/0/                                                     LOADFL     46
      DATA IFRMT/1/                                                     LOADFL     47
C                                                                       LOADFL     48
      LDEB=.FALSE.                                                      LOADFL     49
C---------------------------------                                      LOADFL     50
C                                                                       LOADFL     51
C SET MNEW NNEW AND NOLD ARRAY TO ZERO                                  LOADFL     52
C                                                                       LOADFL     53
      CALL HMOVE(0,NNEW,NNEW,N99999)                                    LOADFL     54
      CALL HMOVE(0,MNEW,MNEW,N99999)                                    LOADFL     55
      CALL MOVE(0,NOLD,NOLD,NXB)                                        LOADFL     56
      DO 10 I=1,NXB                                                     LOADFL     57
 10   JBSTAT(I)=4                                                       LOADFL     58
C                                                                       LOADFL     59
      KLFO=0                                                            LOADFL     60
      IPSF=0                                                            LOADFL     61
      LFHT=1                                                            LOADFL     62
      LEBK=1                                                            LOADFL     63
C                                                                       LOADFL     64
C (TEM)                                                                 LOADFL     65
      IBIAS=5                                                           LOADFL     66
C                                                                       LOADFL     67
      IF (CFLRUN) GOTO 1000                                             LOADFL     68
C                                                                       LOADFL     69
      LDUMP=LFORM                                                       LOADFL     70
      LFID='BASE CASE 1'                                                LOADFL     71
      LFNO=99                                                           LOADFL     72
      LFREC=0                                                           LOADFL     73
C---------------------------------                                      LOADFL     74
C                                                                       LOADFL     75
      MEMOUT=0                                                          LOADFL     76
      SUBPMT='LOADFL '                                                  LOADFL     77
 500  CONTINUE                                                          LOADFL     78
      WRITE(LOUT,2000) LFID,LFNO,LFREC,ILFRMT(IFRMT),CHNUMB(IFRMT),     LOADFL     79
     &CHFRMT(IFRMT)                                                     LOADFL     80
C                                                                       LOADFL     81
C    ..........................................................         LOADFL     82
C    :ANY CHANGES FROM DEFAULT ???                            :         LOADFL     83
      IMSG='SELECT AN ITEM BY THE NUMBER (Q TO ENTER FILE NAME):'       LOADFL     84
      CALL REDLIN(LOUT,LIN,IOERR,52,IMSG,SUBPMT,'LOA',STRING,RECORD,    LOADFL     85
     &IREC,KLAYER,KEND,KREAD,PLAYBA)                                    LOADFL     86
      IF(IOERR.LT.0)THEN                                                LOADFL     87
      IF(PLAYBA)CALL PSTOP                                              LOADFL     88
      GOTO 500                                                          LOADFL     89
      ENDIF                                                             LOADFL     90
      IF(KLAYER.LT.0) RETURN                                            LOADFL     91
      IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 550             LOADFL     92
      READ(STRING,*,IOSTAT=IOS) ITEMS                                   LOADFL     93
      IF((ITEMS.LE.0).OR.(ITEMS.GT.4).OR.IOS.NE.0)THEN                  LOADFL     94
      IF(PLAYBA)CALL PSTOP                                              LOADFL     95
      KREAD=.TRUE.                                                      LOADFL     96
      GOTO 500                                                          LOADFL     97
      ENDIF                                                             LOADFL     98
C    :........................................................:         LOADFL     99
      GOTO (515,520,530,510)ITEMS                                       LOADFL    100
C    ..........................................................         LOADFL    101
C    :LOADFLOW FORMAT                                         :         LOADFL    102
 510  CONTINUE                                                          LOADFL    103
      WRITE(LOUT,2010)                                                  LOADFL    104
      IMSG='ENTER APPROPRIATE CODE NUMBER:'                             LOADFL    105
      CALL REDLIN(LOUT,LIN,IOERR,38,IMSG,SUBPMT,'LF3',STRING,RECORD,    LOADFL    106
     &IREC,KLAYER,KEND,KREAD,PLAYBA)                                    LOADFL    107
      IF(IOERR.LT.0)THEN                                                LOADFL    108
      IF(PLAYBA)CALL PSTOP                                              LOADFL    109
      GOTO 510                                                          LOADFL    110
      ENDIF                                                             LOADFL    111
      IF(KLAYER.LT.0) GOTO 500                                          LOADFL    112
      IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q')GOTO 500              LOADFL    113
      READ(STRING,*,IOSTAT=IOS) LDUMP                                   LOADFL    114
CQI      DO 511 IFRMT=1,17                                              LOADFL    115
      DO 511 IFRMT=1,18                                                 LOADFL    116
       IF(LDUMP.EQ.ILFRMT(IFRMT))GOTO 500                               LOADFL    117
 511  CONTINUE                                                          LOADFL    118
      IF(PLAYBA)CALL PSTOP                                              LOADFL    119
      KREAD=.TRUE.                                                      LOADFL    120
      GOTO 510                                                          LOADFL    121
C    :........................................................:         LOADFL    122
C    ..........................................................         LOADFL    123
C    :LOADFLOW IDENTITY                                       :         LOADFL    124
 515  CONTINUE                                                          LOADFL    125
      WRITE(LOUT,*)                                                     LOADFL    126
      IMSG='ENTER THE LOAD FLOW IDENTITY:'                              LOADFL    127
      CALL REDLIN(LOUT,LIN,IOERR,29,IMSG,SUBPMT,'LF1',STRING,RECORD,    LOADFL    128
     &IREC,KLAYER,KEND,KREAD,PLAYBA)                                    LOADFL    129
      IF(IOERR.LT.0)THEN                                                LOADFL    130
      IF(PLAYBA)CALL PSTOP                                              LOADFL    131
      GOTO 515                                                          LOADFL    132
      ENDIF                                                             LOADFL    133
      IF(KLAYER.EQ.-1) GOTO 500                                         LOADFL    134
      IF(KLAYER.EQ.-2) THEN                                             LOADFL    135
       KLAYER=0                                                         LOADFL    136
       RETURN                                                           LOADFL    137
      ENDIF                                                             LOADFL    138
      READ(STRING,'(A)') LFID                                           LOADFL    139
      GOTO 500                                                          LOADFL    140
C    :........................................................:         LOADFL    141
C    ..........................................................         LOADFL    142
C    :LOADFLOW NUMBER                                         :         LOADFL    143
 520  CONTINUE                                                          LOADFL    144
      WRITE(LOUT,*)                                                     LOADFL    145
      IMSG='ENTER THE LOAD FLOW NUMBER:'                                LOADFL    146
      CALL REDLIN(LOUT,LIN,IOERR,27,IMSG,SUBPMT,'LF2',STRING,RECORD,    LOADFL    147
     &IREC,KLAYER,KEND,KREAD,PLAYBA)                                    LOADFL    148
      IF(IOERR.LT.0)THEN                                                LOADFL    149
      IF(PLAYBA)CALL PSTOP                                              LOADFL    150
      GOTO 520                                                          LOADFL    151
      ENDIF                                                             LOADFL    152
      IF(KLAYER.EQ.-1) GOTO 500                                         LOADFL    153
      IF(KLAYER.EQ.-2) THEN                                             LOADFL    154
       KLAYER=0                                                         LOADFL    155
       RETURN                                                           LOADFL    156
      ENDIF                                                             LOADFL    157
      IF (STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 500            LOADFL    158
      READ(STRING,*,IOSTAT=IOS) LFNO                                    LOADFL    159
      IF (IOS.NE.0) THEN                                                LOADFL    160
         IF(PLAYBA)CALL PSTOP                                           LOADFL    161
         KREAD=.TRUE.                                                   LOADFL    162
         GOTO 520                                                       LOADFL    163
      END IF                                                            LOADFL    164
      GOTO 500                                                          LOADFL    165
C    :........................................................:         LOADFL    166
 530  CONTINUE                                                          LOADFL    167
      WRITE(LOUT,*)                                                     LOADFL    168
      IMSG='ENTER THE LOAD FLOW RECORD NUMBER:'                         LOADFL    169
      CALL REDLIN(LOUT,LIN,IOERR,34,IMSG,SUBPMT,'XXX',STRING,RECORD,    LOADFL    170
     &IREC,KLAYER,KEND,KREAD,PLAYBA)                                    LOADFL    171
      IF(IOERR.LT.0)THEN                                                LOADFL    172
      IF(PLAYBA)CALL PSTOP                                              LOADFL    173
      GOTO 530                                                          LOADFL    174
      ENDIF                                                             LOADFL    175
      IF(KLAYER.EQ.-1) GOTO 500                                         LOADFL    176
      IF(KLAYER.EQ.-2) THEN                                             LOADFL    177
       KLAYER=0                                                         LOADFL    178
       RETURN                                                           LOADFL    179
      ENDIF                                                             LOADFL    180
      IF (STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 500            LOADFL    181
      READ(STRING,*,IOSTAT=IOS) LFREC                                   LOADFL    182
      IF (IOS.NE.0) THEN                                                LOADFL    183
         IF(PLAYBA)CALL PSTOP                                           LOADFL    184
         KREAD=.TRUE.                                                   LOADFL    185
         GOTO 530                                                       LOADFL    186
      END IF                                                            LOADFL    187
      GOTO 500                                                          LOADFL    188
C    :........................................................:         LOADFL    189
C                                                                       LOADFL    190
C                                                                       LOADFL    191
 550  CONTINUE                                                          LOADFL    192
C                                                                       LOADFL    193
       IMSG='ENTER LOAD FLOW FILE NAME:'                                LOADFL    194
       EMSG='ERROR IN OPENING LOAD FLOW FILE'                           LOADFL    195
C                                                                       LOADFL    196
CQI 1000  IF(LDUMP.LE.4)THEN                                            LOADFL    197
 1000  IF(LDUMP.LE.4.OR.LDUMP.EQ.19)THEN                                LOADFL    198
       IKEY=1                                                           LOADFL    199
       JLENG=0                                                          LOADFL    200
       ELSEIF(LDUMP.EQ.9 .OR.LDUMP.EQ.10)THEN                           LOADFL    201
        IKEY=7                                                          LOADFL    202
        JLENG=64                                                        LOADFL    203
       ELSEIF(LDUMP.EQ.11.OR.LDUMP.EQ.12.OR.                            LOADFL    204
     *        LDUMP.EQ.15.OR.LDUMP.EQ.16)THEN                           LOADFL    205
        IKEY=3                                                          LOADFL    206
        JLENG=1589                                                      LOADFL    207
       ELSEIF(LDUMP.GT.11.AND.LDUMP.LE.18)THEN                          LOADFL    208
        IKEY=2                                                          LOADFL    209
        JLENG=1                                                         LOADFL    210
       ELSE                                                             LOADFL    211
       IKEY=2                                                           LOADFL    212
       JLENG=1                                                          LOADFL    213
       ENDIF                                                            LOADFL    214
C                                                                       LOADFL    215
       IF (CFLRUN) THEN                                                 LOADFL    216
         CALL PARSIU (FILENA, LEN, IU, LO)                              LOADFL    217
         IF (IU .LT. 0) RETURN                                          LOADFL    218
         IF (IU .GT. 0) THEN                                            LOADFL    219
           LFILE = FILENA(1:LO)                                         LOADFL    220
           FILENA = LFILE                                               LOADFL    221
           IU27 = IU                                                    LOADFL    222
           CALL FBOKEP (IU27, IBACK)                                    LOADFL    223
           IF (IBACK .LT. 0) RETURN                                     LOADFL    224
         ENDIF                                                          LOADFL    225
         LO = INDEX (FILENA, ' ')                                       LOADFL    226
         CALL OPENRE (IU27, FILENA, JLENG, IKEY, ISTAT, LO)             LOADFL    227
         IF (ISTAT .NE. 0) THEN                                         LOADFL    228
           MSG(1) = ' *** ERROR OPENING LOAD FLOW FILE.'                LOADFL    229
           CALL PRTMSG(1)                                               LOADFL    230
           RETURN                                                       LOADFL    231
         ELSE                                                           LOADFL    232
           LUNITS(IU27) = .TRUE.                                        LOADFL    233
         ENDIF                                                          LOADFL    234
       ELSE                                                             LOADFL    235
         WRITE(LOUT,*)                                                  LOADFL    236
         CALL FILEMG(IU27,26,IMSG,31,EMSG,SUBPMT,IKEY,JLENG,IEBK)       LOADFL    237
         IF(IEBK.NE.0)RETURN                                            LOADFL    238
       ENDIF                                                            LOADFL    239
C                                                                       LOADFL    240
       WRITE(LOUT,'(/A/)') '  READING LOAD FLOW FILE.  WAIT ...'        LOADFL    241
C                                                                       LOADFL    242
       LFILE = ' '                                                      LOADFL    243
C                                                                       LOADFL    244
      IF (LDUMP.EQ.5) THEN                                              LOADFL    245
C                                                                       LOADFL    246
C         *** LOAD FLOW DATA IS IN EPRI BINARYFORMAT                    LOADFL    247
C         *** LFEPRI=0 FOR NEW EPRI LOAD FLOW (WITH MTDC)               LOADFL    248
C         *** LFEPRI=1 FOR OLD EPRI LOAD FLOW (WITH 2 TERMINAL DC)      LOADFL    249
C         *** LOAD FLOW DATA IS IN NON EPRI FORMAT                      LOADFL    250
C                                                                       LOADFL    251
      CALL FLODA2(LDUMP,LDUBX,LFEPRI,ZILTOL,IU27,LEBK)                  LOADFL    252
       KLFO=4                                                           LOADFL    253
C                                                                       LOADFL    254
      ELSE IF (LDUMP.EQ.6) THEN                                         LOADFL    255
C                                                                       LOADFL    256
C        *** LOAD FLOW IS PECO RAWD FORMAT                              LOADFL    257
C        CALL FLODA3 (LDUMP,LDUBX)                                      LOADFL    258
         MSG(1)=' *** WARNING PECO LOAD FLOW RAWD FILE NOT SUPPORTED'   LOADFL    259
         CALL PRTMSG(1)                                                 LOADFL    260
         IF(PLAYBA)CALL PSTOP                                           LOADFL    261
         RETURN                                                         LOADFL    262
C                                                                       LOADFL    263
      ELSE IF (LDUMP.EQ.7) THEN                                         LOADFL    264
C                                                                       LOADFL    265
         MSG(1)=' *** WARNING WSCC LOAD FLOW FORMAT IS NOT SUPPORTED'   LOADFL    266
         CALL PRTMSG(1)                                                 LOADFL    267
         IF(PLAYBA)CALL PSTOP                                           LOADFL    268
C                                                                       LOADFL    269
C       *** LOAD FLOW IS WSCC BINARY FORMAT                             LOADFL    270
C                                                                       LOADFL    271
C                                                                       LOADFL    272
      ELSE IF (LDUMP.GE.11.AND.LDUMP.LE.18) THEN                        LOADFL    273
C                                                                       LOADFL    274
C       *** LOAD FLOW IS PECO BINARY FORMAT                             LOADFL    275
C                                                                       LOADFL    276
           IVDASE=(LDUMP-9)/2                                           LOADFL    277
           KLFO=4*MOD(LDUMP+1,2)                                        LOADFL    278
           CALL RDPELF( IVDASE, LFREC )                                 LOADFL    279
        LEBK=0                                                          LOADFL    280
C                                                                       LOADFL    281
C                                                                       LOADFL    282
      ELSE IF (LDUMP.EQ.8) THEN                                         LOADFL    283
C                                                                       LOADFL    284
C         *** LOAD FLOW IS BPA BINARY FORMAT                            LOADFL    285
C                                                                       LOADFL    286
         CALL FLODA5 (LDUMP,LDUBX,LFEPRI,ZILTOL,IU27,LEBK)              LOADFL    287
         KLFO=4                                                         LOADFL    288
C                                                                       LOADFL    289
      ELSE IF (LDUMP.EQ.9.OR.LDUMP.EQ.10) THEN                          LOADFL    290
C                                                                       LOADFL    291
C         *** LOAD FLOW IS PSF BINARY FORMAT                            LOADFL    292
C                                                                       LOADFL    293
         IPSF=1                                                         LOADFL    294
         CALL FLOPSF(LDUMP,LFILE,LDUBX,IU27,LEBK)                       LOADFL    295
         IF(LDUMP.EQ.10)THEN                                            LOADFL    296
          KLFO=4                                                        LOADFL    297
         ELSE                                                           LOADFL    298
          KLFO=0                                                        LOADFL    299
         ENDIF                                                          LOADFL    300
C                                                                       LOADFL    301
C                                                                       LOADFL    302
      ELSE                                                              LOADFL    303
C                                                                       LOADFL    304
C         *** LOAD FLOW DATA IS IN NON EPRI FORMAT                      LOADFL    305
C                                                                       LOADFL    306
         IF (LDUMP.EQ.4) KLFO=4                                         LOADFL    307
         CALL FLODA1(LDUMP,LFILE,LDUBX,IU27,LEBK)                       LOADFL    308
C                                                                       LOADFL    309
      ENDIF                                                             LOADFL    310
C                                                                       LOADFL    311
CD                                                                      LOADFL    312
CD       NEXGEN AND NTHGEN ARRAYS                                       LOADFL    313
CD                                                                      LOADFL    314
      CALL MOVE(0,NEXGEN,NEXGEN,NM)                                     LOADFL    315
      CALL MOVE(0,NTHGEN,NTHGEN,NB1P1)                                  LOADFL    316
C                                                                       LOADFL    317
C                                                                       LOADFL    318
      CALL CLOSEF(IU27)                                                 LOADFL    319
C                                                                       LOADFL    320
      RETURN                                                            LOADFL    321
C                                                                       LOADFL    322
 2000 FORMAT(//,                                                        LOADFL    323
     17X,'LOAD FLOW FORMAT AND IDENTIFICATION PARAMETERS',/,            LOADFL    324
     27X,'----------------------------------------------',//,           LOADFL    325
     33X,'(1) LOAD FLOW IDENTITY',T55,A12,/,                            LOADFL    326
     43X,'(2) LOAD FLOW NUMBER',T62,I5,/,                               LOADFL    327
     73X,'(3) RECORD NUMBER',T62,I5,/,                                  LOADFL    328
     53X,'(4) LOAD FLOW FORMAT CODE',T62,I5,/,                          LOADFL    329
     67X,'BUS IDENTIFICATION FOR DYNAMIC DATA',T61,A6,/,                LOADFL    330
     77X,'LOAD FLOW SOURCE',T54,A13,/)                                  LOADFL    331
 2010 FORMAT(//,16X,'LOAD FLOW FORMAT CODE TABLE',/,16X,27('='),//      LOADFL    332
     *,5X,'FORMAT CODE     SOURCE    BUS I.D. FOR DYNAMIC DATA',/       LOADFL    333
     *,5X,'----------- ------------- -------------------------',/       LOADFL    334
     *,5X,'      0     PTI    (TEXT)                NUMBER',/           LOADFL    335
     *,5X,'      2     ETMSP  (TEXT)                      ',/           LOADFL    336
     *,5X,' 3 /  4     IEEE   (TEXT)        NUMBER /  NAME',/           LOADFL    337
     *,5X,'      5     EPRI/OLD(BIN)                  NAME',/           LOADFL    338
     *,5X,'      7     WSCC (BINARY)                  NAME',/           LOADFL    339
     *,5X,'      8     BPA  (BINARY)                  NAME',/           LOADFL    340
     *,5X,' 9 / 10     PSF  (BINARY)        NUMBER /  NAME',/           LOADFL    341
     *,5X,'11 / 12     PECO(V6) DACS        NUMBER /  NAME',/           LOADFL    342
     *,5X,'13 / 14     PECO(V6) SEQU        NUMBER /  NAME',/           LOADFL    343
     *,5X,'15 / 16     PECO(V5) DACS        NUMBER /  NAME',/           LOADFL    344
     *,5X,'17 / 18     PECO(V5) SEQU        NUMBER /  NAME',/)          LOADFL    345
      END                                                               LOADFL    346
